﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SqlClient;
using System.Configuration;
using System.Data;
using System.Collections;

namespace C1SnippetsCore
{
    public class Dao
    {
        protected SqlTransaction _msSqlTransaction;
        protected SqlConnection _cnn;
        protected SqlCommand _cmd;

        public Dao()
        {
            _cnn = new SqlConnection(ConfigurationManager.ConnectionStrings["C1SnippetConnectionString"].ToString());
        }

        public ICollection test()
        {
            SqlDataAdapter db_sqladaptor = null;
            DataSet ds =null;
            DataView myView = null;
            string query = string.Empty;

            try
            {
                ds = new DataSet();
                query = "select * from table1";
                db_sqladaptor = new SqlDataAdapter(query, _cnn);
                db_sqladaptor.SelectCommand.CommandType = CommandType.Text;


                // start transaction 
                if (_msSqlTransaction != null)
                {
                    db_sqladaptor.SelectCommand.Transaction = _msSqlTransaction;
                }

                db_sqladaptor.Fill(ds, "MyDataResult");

                myView = ds.Tables["MyDataResult"].DefaultView;

                return myView;
            }
            finally
            {
                if (ds != null)
                {
                    ds.Dispose();
                }
                if (db_sqladaptor != null)
                {
                    db_sqladaptor.Dispose();
                }
                if (_msSqlTransaction == null)
                {
                    if (_cnn != null)
                    {
                        _cnn.Close();
                        _cnn.Dispose();
                    }
                }
            }
        }
    }
}
